# -*- mode: ruby -*-

# vi: set ft=ruby :



# Vagrantfile API/syntax version. Don't touch unless you know what you're doing!

VAGRANTFILE_API_VERSION = "2"



personalization = File.expand_path("../Personalization", __FILE__)

load personalization



# Resolve compatibility issues that may otherwise

# arise from using a too old Vagrant version

Vagrant.require_version ">= 1.6.3"



Vagrant.configure(VAGRANTFILE_API_VERSION) do |config|

 config.vm.box = $base_box

  #config.vm.box_url = $base_box_url



  config.vm.hostname = $vhost + ".local"



  # Enable SSH agent forwarding (access and use SSH keys from your host into VM)

  config.ssh.forward_agent = true

  config.hostmanager.enabled = true
  config.hostmanager.manage_host = true
  config.hostmanager.manage_guest = true
  config.hostmanager.ignore_private_ip = false
  config.hostmanager.include_offline = true

 # config.hostsupdater.aliases = ["phpmyadmin." + $vhost + ".local"]

  #config.hostsupdater.remove_on_suspend = true



  # set auto_update to ture to check the correct 

  # additions version when booting the machine

  config.vbguest.auto_update = true

  config.vbguest.auto_reboot = true



  config.vm.network :private_network, ip: $ip



  config.vm.synced_folder "../", "/srv/www/vhosts/" + $vhost + ".local", id: "vagrant-root", type: "nfs"



  config.vm.provider :virtualbox do |v|

    v.customize ["modifyvm", :id, "--memory", 512]

    v.customize ["modifyvm", :id, "--cpus", "1"]

    v.customize ["modifyvm", :id, "--cpuexecutioncap", "100"]

    v.customize ["modifyvm", :id, "--ioapic", "off"]

    v.customize ["modifyvm", :id, "--natdnshostresolver1", "on"]

  end



  config.vm.provision "shell" do |s|

    s.path = "vagrant-bootstrap.sh"

    s.args = $vhost + " " + $mysql_password + " " + $application_database + " " + $ip

  end

end